The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Delete a Non-Standard Port at Sensor Level

Prev Next

This URL deletes a non-standard port defined on the specified Sensor.

Resource URL

DELETE /sensor/<sensor_id>/nonstandardports?transport=<transport_type>&nonStandardPortNumber=<port_number>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
sensor_id Sensor id Number Yes
transport_type Can be either TCP or UDP String Yes
port_number The non-standard port number to be deleted Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Status returned Number

Example

Request

DELETE https://%3CNSM_IP%3E/sdkapi/sensor/1002/nonstandardports?transport=UDP&nonStandardPortNumber=15

Response

{
"status": 1
} 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor
2 400 2006 Provided port number does not exists
3 400 2007 Standard ports cannot be deleted